@use '../../global/styles-variables' as *;
@use '../../global/utilities' as *;

:host {
  display: block;
}

.digi-docs-accessibility-matrix {
  margin-top: var(--digi--global--spacing--largest-10);

  &__table {
    text-align: center;
    width: 100%;
    table-layout: fixed;
    border-spacing: 0;
    border-collapse: collapse;
    max-width: 860px;

    caption {
      text-align: left;
      @include digi--a11y--sr-only;
    }

    thead {
      th {
        font-weight: var(--digi--typography--heading-3--font-weight--desktop);
      }
    }

    th,
    td {
      border-bottom: 0;
      padding-top: var(--digi--global--spacing--largest-4);
      padding-bottom: var(--digi--global--spacing--largest-4);
    }

    tr {
      vertical-align: bottom;
      //border-bottom: var(--digi--border-width--primary) solid;
    }

    th {
      font-size: var(--digi--global--typography--font-size--base);
      font-weight: var(--digi--typography--heading-3--font-weight--desktop);
    }

    td {
      font-size: var(--digi--global--typography--font-size--base);
    }

    digi-media-image {
      display: block;
    }

    tr.digi-docs-accessibility-matrix__row {
      border-bottom: var(--digi--border-width--primary) solid;
    }
  }

  &__row {
    padding: 0;

    td {
      padding: 0;
    }

    .digi-docs-accessibility-matrix__info {
      height: 0;
      overflow: hidden;
      transition:
        ease var(--digi--animation--duration--base) height,
        ease var(--digi--animation--duration--base) visibility;

      &:before {
        top: -2px;
      }
    }

    &--expanded {
      border-bottom: var(--digi--border-width--primary) solid;

      td {
        padding: 0;
      }

      .digi-docs-accessibility-matrix__info {
        transition:
          ease var(--digi--animation--duration--base) height,
          ease var(--digi--animation--duration--base) visibility;
        margin-bottom: var(--digi--global--spacing--largest-4);

        @media screen and (max-width: $digi--breakpoint--large) {
          margin-bottom: 0;
        }
      }
    }

    @media screen and (max-width: $digi--breakpoint--large) {
      border-bottom: var(--digi--border-width--primary) solid;
      padding-bottom: 16px;
    }
  }

  &__toggle-icon {
    transition: ease-in-out var(--digi--animation--duration--base) all;
  }

  &__toggle-icon--expanded-true {
    transform: rotate(-180deg);
  }

  &__button {
    color: var(--digi--color--text--primary);
    font-family: var(--digi--global--typography--font-family--default);
    border: 0;
    background-color: transparent;
    font-size: var(--digi--global--typography--font-size--base);
    font-weight: var(--digi--typography--heading-3--font-weight--desktop);
    cursor: pointer;

    digi-icon-chevron-down,
    span {
      display: inline-block;
    }

    span {
      margin-left: 8px;
    }

    @media screen and (max-width: $digi--breakpoint--large) {
      display: flex;
      align-items: center;
    }
  }

  &__info {
    position: relative;
    padding: 0;
    margin-bottom: 0;

    &:before {
      content: '';
      position: absolute;
      width: 0px;
      height: 0px;
      transform: rotate(-90deg);
      top: -34px;
      left: 93px;
      border-left: 24px solid var(--digi--color--background--secondary);
      border-top: 24px solid transparent;
      border-bottom: 24px solid transparent;

      @media screen and (max-width: $digi--breakpoint--large) {
        left: 26px;
        top: -26px;
        border-left: 18px solid var(--digi--color--background--secondary);
        border-top: 18px solid transparent;
        border-bottom: 18px solid transparent;
      }
    }
  }

  &__wrapper {
    position: relative;
    text-align: left;
    background-color: var(--digi--color--background--secondary);
    margin: var(--digi--global--spacing--largest-4) 0;
    padding: 42px;
    display: flex;
    justify-content: space-between;

    @media screen and (max-width: $digi--breakpoint--large) {
      display: block;
      margin-top: 24px;
    }
  }

  &__content {
    padding-bottom: 40px;
    border-bottom: var(--digi--border-width--primary) solid;
  }

  &__header {
    margin-top: 0;
    font-size: 18px;
  }

  &__mobile {
    digi-layout-media-object {
      margin-top: 15px;
      display: block;
    }

    h2 {
      font-weight: var(--digi--typography--heading-3--font-weight--desktop);
      height: 38px;
      margin: 0;
      margin-right: 20px;
    }

    margin-top: var(--digi--global--spacing--largest-4);

    .digi-expandable-accordion__content {
      max-width: var(--digi--paragraph-width--medium);
    }

    &__example {
    }
  }

  &__example {
    border-bottom: var(--digi--border-width--primary) solid;
  }
}

::slotted(* .digi-typography--small) {
  @media screen and (max-width: $digi--breakpoint--large) {
    display: flex;
  }
}

::slotted(* .digi-layout-media-object__last) {
  @media screen and (max-width: $digi--breakpoint--large) {
    display: flex;
    justify-content: flex-end;
  }
}

::slotted(* button svg) {
  @media screen and (max-width: $digi--breakpoint--large) {
    height: 22px;
    width: 22px;
  }
}

@media screen and (max-width: $digi--breakpoint--large) {
  digi-icon-chevron-down {
    height: 26px;
    width: 22px;
  }

  digi-layout-media-object {
    height: 72px;
  }
}

.digi-docs-accessibility-matrix__example {
  digi-media-image {
    margin: var(--digi--global--spacing--base);
  }
}
